Page MenuHomePhabricator

Add ISBN link options to user preferences
Closed, DeclinedPublic

Description

Author: dunc_harris

Description:
Currently the text ISBN 1234567890 brings up a link to
http://en.wikipedia.org/w/index.php?title=Special:Booksources&isbn=1234567890

This is fine. Wikipedia does not want to endorse a particular bookseller or
library, particularly when (heaven forbid) a vocal minority will shout that the
most famous bookseller is a bit controversial
[[Amazon.com#Patent_controversies]], though most people probably don't care.

To get from ISBN 1234567890 to another site requires the user to click on the
link and then search down for that site and click on the link provided. Two
clicks and a search, which is innefficient.

Thus I propose that the current system remains for logged-out users and by
default, but logged-in users can set in their user preferences which bookshop or
library they would like the link to refer them to. Have all the standard ones,
Amazon US, Amazon UK, Amazon DE, Bookfinder, Frugal, etc.

As a final note, there is nothing wrong in a charity selling things because by
its constitution it's non-profit. Therefore having a link whereby people who
click on it and Wikimedia foudation gets 2d for the link is not immoral, but is
clearly not immoral if the user consents in the first place. Think of it as a
donation.

Dunc


Version: unspecified
Severity: enhancement

Details

Reference
bz4595

Event Timeline

bzimport raised the priority of this task from to Low.
bzimport set Reference to bz4595.
bzimport added a subscriber: Unknown Object (MLST).
bzimport created this task.Jan 13 2006, 3:13 PM

dunc_harris wrote:

I have no idea why o.eguavoen@gmail.com changed this to resolved, but it isn't
(and evidently avarab@gmail.com) agrees with me since he reopened it... ?

robchur wrote:

(In reply to comment #1)
Flood attack.

fgregg wrote:

I created a userscript used by at least 220 users:
[[User:Lunchboxhero/monobook.js]]. I had wanted to figure out how to add this to
user preferences, but I no longer have the time.

-Forest

robchur wrote:

It seems to me that this would conflict with the actual purpose of the book
sources list, which is to provide a list of common sources (commercial or
otherwise) and perhaps, in the future, could be extended to provide basic
information on the title itself.

dunc_harris wrote:

The problem with the present system though is that it doesn't just provide
common sources, but tries to list every book source on the Internet including
all university libraries, and so one's favourite on that page is then difficult
to find.

I suspect that as a feature, it is underused. No-one I think is going to want
to check all of the sources.

It is a bit difficult to get a wide opinion but do you use it? Try it. Is it
useful?

The Wikimedia Foundation cannot be seen to be endorsing one book source, because
its users are far too conscientious. So the default must always be
[[special:booksources]]. Great.

So the question is then how best to deliver a service to the individual user.

One way might be to keep a similar approach but set different lots of book
sources for different geographical regions. That would probably have to be set
in [[special:preferences]] as well. Atleast maybe all sources for one country
could be displayed on one screen.

I honestly do not think that it can be improved in any way in terms of providing
more information, as that would require a database of ISBNs with author, title,
etc, and I think that would take a lot of work building and maintaining for not
much gain.

My personal preference would be a tick box with drop down menu with one entry
for each source to set where I want the link to go (OK, it'll have to be a long
menu but it can have structure with indentation and null lines).

Preferences is just about what you prefer, and if you prefer the default then so
be it :)

fgregg wrote:

Over 550 users are now using the [[User:Lunchboxhero/monobook.js]] script/

(In reply to comment #6)

Over 550 users are now using the [[User:Lunchboxhero/monobook.js]] script/

Good. Make it a gadget.

Izno closed this task as Declined.Jan 10 2017, 5:25 PM
Izno added a subscriber: Izno.

The ISBN link is going away per T145604#2925139. It seems like a gadget or other user Javascript can satisfy this request per Nike.

Meno25 removed a subscriber: Meno25.Sep 21 2018, 7:49 PM